# Generated by Django 4.2.3 on 2023-07-05 18:50

from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("accounts", "0001_initial"),
    ]

    operations = [
        migrations.CreateModel(
            name="Language",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "name",
                    models.CharField(
                        max_length=30, unique=True, verbose_name="languages_prop_name"
                    ),
                ),
                (
                    "iso_code",
                    models.CharField(
                        max_length=5,
                        unique=True,
                        verbose_name="languages_prop_iso_code",
                    ),
                ),
            ],
            options={
                "verbose_name": "languages_model_name",
                "verbose_name_plural": "languages_model_plural_name",
                "db_table": "languages",
            },
        ),
        migrations.RemoveField(
            model_name="user",
            name="first_name",
        ),
        migrations.RemoveField(
            model_name="user",
            name="last_name",
        ),
        migrations.AddField(
            model_name="user",
            name="full_name",
            field=models.CharField(
                default="", max_length=80, verbose_name="users_prop_full_name"
            ),
        ),
        migrations.AddField(
            model_name="user",
            name="language",
            field=models.ManyToManyField(to="accounts.language"),
        ),
    ]
